// Encoding: iso-2022-jp-2

#include "colors.inc"
#include "glass.inc"
#include "metals.inc"
#include "shapes.inc"
#include "skies.inc"
#include "stones.inc"
#include "woods.inc"

#include "logo.inc"

global_settings {
  assumed_gamma 1.0
  max_trace_level 5
}

camera {
  location <0, 0.5, -4>
  direction 1.5*z
  right x*image_width/image_height
  look_at <0, 0, 0>
}

sky_sphere { S_Cloud1 }

light_source {
  <0, 0, 0>
  color rgb <1, 1, 1>
  translate <-30, 30, -30>
}

#declare title0 = object {
  Circle_Text(
    "CENTURY.TTF", "Welcome to", 0.2, 0, .01,
    0.6, false, Align_Center, 90
  )
}

#declare title = object {
  Center_Object(
    text {ttf "timrom.TTF" "POV-Ray" 1, 0},
    x
  )
}
#declare title_min = min_extent(title);
#declare title_max = max_extent(title);

#declare title2 = merge {
  object {
    Center_Object(
      text {ttf "simhei.ttf", "$AVPND(B" 1, 0},
      x
    )
    translate y*-0
  }
  object {
    Center_Object(
      text {ttf "msgothic.ttc" "$BF|K\8l(B" 1, 0},
      x
    )
    translate y*-1
  }
  object {
    Center_Object(
      text {ttf "gulim.ttc", "$(CGQ19>n(B" 1, 0},
      x
    )
    translate y*-2
  }
}
#declare title2_min = min_extent(title2);
#declare title2_max = max_extent(title2);

#declare subtitle = object {
  Circle_Text(
    "BKANT.TTF", "Persistence of Vision", 0.2, 0, .01,
    0.6, true, Align_Center, -90
  )
}

object { title0 pigment { color Red } scale 1.7 translate z*1 }

merge {
  box { title_min, title_max scale <1.1, 1.1, 1> }
  object { title scale z*0.25 translate z*-0.25 }
  texture { T_Stone1 }
  scale 1/2
}

difference {
  box { title2_min, title2_max scale <1.2, 1.2, 0.25> translate z*-0.25/2 }
  object { title2 translate z*-0.25/2 scale z*1.1 }
  texture { T_Wood14 }
  scale 1/10 translate <0, -0.25, -0.5>
}

object { subtitle pigment { color NavyBlue } translate z*-1 }

object {
  Povray_Logo
  pigment {
    planar scale 2 translate y*1
    color_map {
      [ 0.0, color <1.0, 0.4, 0.4> ]
      [ 0.5, color <0.4, 0.9, 0.4> ]
      [ 1.0, color <0.4, 0.4, 1.0> ]
    }
  }
  scale 1.5
  translate z*2
}

plane {
  y, -1 texture { T_Chrome_2D pigment { filter .3 transmit .7 } }
  normal { waves 0.01 frequency 10 scale 1/2 }
}
